# PSF-LoginServer - master - net.psforever.objects.guid.actor.Register
PSF - LoginServer - master - net.psforever.objects.guid.actor.Register
Keywords: PSF LoginServer master net.psforever.objects.guid.actor.Register

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package actor
  Definition Classes
    guid
- NumberPoolActor
- Register
- UniqueNumberSystem
- Unregister

o

net.psforever.objects.guid.actor

# Register 

###
Companion class Register

#### object Register extends Serializable

Source
  Register.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Register
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(obj: IdentifiableEntity, name: String, callback: ActorRef): Register

   Overloaded constructor, accepting an object, a number pool, and a callback.

   Overloaded constructor, accepting an object, a number pool, and a callback.

   obj

     the object to be registered

   name

     the number pool name

   callback

     the custom callback for the messages from the success or failure conditions

   returns

     a `Register` object

5.  def apply(obj: IdentifiableEntity, name: String): Register

   Overloaded constructor, accepting an object and a number pool.

   Overloaded constructor, accepting an object and a number pool.

   obj

     the object to be registered

   name

     the number pool name

   returns

     a `Register` object

6.  def apply(obj: IdentifiableEntity, number: Int, callback: ActorRef): Register

   Overloaded constructor, accepting an object, a pre-selected number, and a callback.

   Overloaded constructor, accepting an object, a pre-selected number, and a callback.

   obj

     the object to be registered

   number

     the pre-selected number

   callback

     the custom callback for the messages from the success or failure conditions

   returns

     a `Register` object

7.  def apply(obj: IdentifiableEntity, number: Int): Register

   Overloaded constructor, accepting an object and a pre-selected number.

   Overloaded constructor, accepting an object and a pre-selected number.

   obj

     the object to be registered

   number

     the pre-selected number

   returns

     a `Register` object

8.  def apply(obj: IdentifiableEntity, callback: ActorRef): Register

   Overloaded constructor, accepting the object and a callback.

   Overloaded constructor, accepting the object and a callback.

   obj

     the object to be registered

   callback

     the custom callback for the messages from the success or failure conditions

   returns

     a `Register` object

9.  def apply(obj: IdentifiableEntity): Register

   Overloaded constructor, accepting just the object.

   Overloaded constructor, accepting just the object.

   obj

     the object to be registered

   returns

     a `Register` object

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped